#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 keys
version:              3.12.3
visibility:           public
id:                   keys-3.12.3-18y16B5BM3QKUGjTs96eON
key:                  keys-3.12.3-18y16B5BM3QKUGjTs96eON
license:              BSD-3-Clause
copyright:            Copyright (C) 2011-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/keys/
synopsis:             Keyed functors and containers
description:
    This package provides a bunch of ad hoc classes for accessing parts of a container.

    In practice this package is largely subsumed by the
    <https://hackage.haskell.org/package/lens lens package>,
    but it is maintained for now as it has much
    simpler dependencies.

category:             Data Structures, Containers
abi:                  051ae00dab9ff03b6068b2ac70f51500
exposed:              True
exposed-modules:      Data.Key
import-dirs:          /usr/lib/ghc-9.2.8/site-local/keys-3.12.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/keys-3.12.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-keys
hs-libraries:         HSkeys-3.12.3-18y16B5BM3QKUGjTs96eON
depends:
    array-0.5.4.0 base-4.16.4.0 comonad-5.0.8-54ow72WI9Ij6QNOwfffBnv
    containers-0.6.5.1 free-5.1.10-40DUvZOfQ4W5eZoILwwJSd
    hashable-1.4.4.0-4qKxN3FrXfb4sBBhra6sdO
    semigroupoids-5.3.7-KpxEeFI0kgFKq4C4XsjTWW
    tagged-0.8.8-404YCiJ2agdDxJGZ4AybXg transformers-0.5.6.2
    transformers-compat-0.7.2-9ApmiRwA3hS7UuQpOomcS
    unordered-containers-0.2.20-A3yVeSkjdcGAgke7XFfywE

haddock-interfaces:   /usr/share/doc/haskell-keys/html/keys.haddock
haddock-html:         /usr/share/doc/haskell-keys/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

